Update a guardrail
curl --request PUT \
--url https://api.portkey.ai/v1/guardrails/{guardrailId} \
--header 'Content-Type: application/json' \
--header 'x-portkey-api-key: <api-key>' \
--data '
{
"name": "<string>",
"checks": [
{
"parameters": {
"jwksUri": "<string>",
"headerKey": "<string>",
"cacheMaxAge": 86400,
"clockTolerance": 5,
"maxTokenAge": "1d",
"algorithms": [
"RS256"
]
},
"name": "<string>",
"is_enabled": true
}
]
}
'{
"id": "<string>",
"slug": "<string>",
"version_id": "<string>"
}Update Guardrail
Updates an existing guardrail’s name, checks, or actions
PUT
/
guardrails
/
{guardrailId}
Update a guardrail
curl --request PUT \
--url https://api.portkey.ai/v1/guardrails/{guardrailId} \
--header 'Content-Type: application/json' \
--header 'x-portkey-api-key: <api-key>' \
--data '
{
"name": "<string>",
"checks": [
{
"parameters": {
"jwksUri": "<string>",
"headerKey": "<string>",
"cacheMaxAge": 86400,
"clockTolerance": 5,
"maxTokenAge": "1d",
"algorithms": [
"RS256"
]
},
"name": "<string>",
"is_enabled": true
}
]
}
'{
"id": "<string>",
"slug": "<string>",
"version_id": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-fix-cache-hit-elaborate.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Guardrail UUID or slug to update
Body
application/json
Last modified on May 21, 2026
Was this page helpful?
⌘I

